org.rrd4j.graph

## Class PrintText

- java.lang.Object
- - org.rrd4j.graph.CommentText
  - - org.rrd4j.graph.PrintText

- All Implemented Interfaces:
    RrdGraphConstants

      class PrintText
      extends CommentText

  Represents printable text elements in RRD graphs. Extends CommentText to provide formatted text output with variable substitution and unit scaling.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.rrd4j.graph.RrdGraphConstants

      `RrdGraphConstants.FontConstructor, RrdGraphConstants.FontTag`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static String` | `UNIT_MARKER`
    `(package private) static Pattern` | `UNIT_PATTERN`

    - ### Fields inherited from class org.rrd4j.graph.CommentText

      `enabled, marker, resolvedText, text, x, y`

    - ### Fields inherited from interface org.rrd4j.graph.RrdGraphConstants

      `ALIGN_CENTER_MARKER, ALIGN_JUSTIFIED_MARKER, ALIGN_LEFT_MARKER, ALIGN_LEFTNONL_MARKER, ALIGN_RIGHT_MARKER, BLIND_COLOR, COLOR_ARROW, COLOR_BACK, COLOR_CANVAS, COLOR_FONT, COLOR_FRAME, COLOR_GRID, COLOR_MGRID, COLOR_SHADEA, COLOR_SHADEB, COLOR_XAXIS, COLOR_YAXIS, DAY, DEFAULT_ARROW_COLOR, DEFAULT_BACK_COLOR, DEFAULT_BASE, DEFAULT_CANVAS_COLOR, DEFAULT_END, DEFAULT_FONT_COLOR, DEFAULT_FRAME_COLOR, DEFAULT_GRID_COLOR, DEFAULT_HEIGHT, DEFAULT_IMAGE_FORMAT, DEFAULT_IMAGE_QUALITY, DEFAULT_LARGE_FONT, DEFAULT_MGRID_COLOR, DEFAULT_SHADEA_COLOR, DEFAULT_SHADEB_COLOR, DEFAULT_SMALL_FONT, DEFAULT_START, DEFAULT_UNITS_LENGTH, DEFAULT_WIDTH, DEFAULT_XAXIS_COLOR, DEFAULT_YAXIS_COLOR, FIRST_DAY_OF_WEEK, FONTTAG_AXIS, FONTTAG_DEFAULT, FONTTAG_LEGEND, FONTTAG_TITLE, FONTTAG_UNIT, FONTTAG_WATERMARK, FRIDAY, GATOR_FONT, GLUE_MARKER, GRID_STROKE, HH_MM, HOUR, IN_MEMORY_IMAGE, LEGEND_BOX, LEGEND_BOX_SPACE, LEGEND_INTERSPACING, LEGEND_LEADING, LEGEND_LEADING_SMALL, MINUTE, MONDAY, MONTH, NO_JUSTIFICATION_MARKER, PADDING_BOTTOM, PADDING_LEFT, PADDING_LEGEND, PADDING_PLOT, PADDING_RIGHT, PADDING_TITLE, PADDING_TOP, PADDING_VLABEL, PROPERTYFONTBOLD, PROPERTYFONTBOLDURL, PROPERTYFONTPLAIN, PROPERTYFONTPLAINURL, PROPERTYFONTSPROPERTIES, PROPERTYFONTSURL, SATURDAY, SECOND, SUNDAY, THURSDAY, TICK_STROKE, TUESDAY, VERTICAL_SPACING_MARKER, WEDNESDAY, WEEK, YEAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrintText(String srcName, String text, boolean includedInGraph, boolean strftime)` Creates printable text with specified source, format, and display options.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) boolean` | `isPrint()`
    `(package private) void` | `resolveText(Locale l, DataProcessor dproc, ValueScaler valueScaler)`

    - ### Methods inherited from class org.rrd4j.graph.CommentText

      `isValidGraphElement, trimIfGlue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNIT_MARKER

          static final String UNIT_MARKER

      See Also:
        Constant Field Values

    - #### UNIT_PATTERN

          static final Pattern UNIT_PATTERN

  - ### Constructor Detail

    - #### PrintText

          PrintText(String srcName,
                    String text,
                    boolean includedInGraph,
                    boolean strftime)

      Creates printable text with specified source, format, and display options.
      Parameters:
        `srcName` - data source name for variable substitution
        `text` - format string with optional variable markers
        `includedInGraph` - whether to include in graph legend
        `strftime` - whether to use time formatting

  - ### Method Detail

    - #### isPrint

          boolean isPrint()

      Overrides:
        `isPrint` in class `CommentText`

    - #### resolveText

          void resolveText(Locale l,
                           DataProcessor dproc,
                           ValueScaler valueScaler)

      Overrides:
        `resolveText` in class `CommentText`